> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Validation Results



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /pipelines/validations/{job_id}/result
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /pipelines/validations/{job_id}/result:
    get:
      tags:
        - Pipeline
      summary: Get Validation Results
      operationId: get_validation_results_pipelines_validations__job_id__result_get
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ValidationResponse'
                  - type: 'null'
                title: >-
                  Response Get Validation Results Pipelines Validations  Job Id 
                  Result Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ValidationResponse:
      properties:
        validation_results:
          additionalProperties: true
          type: object
          title: Validation Results
        summary_stats:
          additionalProperties:
            items: {}
            type: array
          type: object
          title: Summary Stats
        validation_warning:
          anyOf:
            - type: string
            - type: 'null'
          title: Validation Warning
      type: object
      required:
        - validation_results
        - summary_stats
      title: ValidationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````